Skip to main content
GET
/
webhooks
/
{webhookId}
/
notifications
/
resend_by_query
/
jobs
/
{jobId}
TypeScript
const response: Promise<FireblocksResponse<ResendFailedNotificationsJobStatusResponse>> = fireblocks.webhooksV2.getResendByQueryJobStatus(webhooksV2ApiGetResendByQueryJobStatusRequest);
{
  "jobId": "123e4567-e89b-12d3-a456-426614174000",
  "status": "COMPLETED",
  "processed": 100,
  "total": 1000
}

Path Parameters

webhookId
string
required

The ID of the webhook

jobId
string
required

The ID of the resend job

Response

Job status

jobId
string
required

Bulk resend job ID

Example:

"123e4567-e89b-12d3-a456-426614174000"

status
enum<string>
required

Bulk resend job status

Available options:
QUEUED,
IN_PROGRESS,
COMPLETED,
FAILED
Example:

"COMPLETED"

processed
number
required

Number of notifications processed

Example:

100

total
number
required

Total number of notifications to process

Example:

1000